// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v4.23.4
// source: proto/service1.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CollectPostsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CollectPostsRequest) Reset() {
	*x = CollectPostsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_service1_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CollectPostsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CollectPostsRequest) ProtoMessage() {}

func (x *CollectPostsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_service1_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CollectPostsRequest.ProtoReflect.Descriptor instead.
func (*CollectPostsRequest) Descriptor() ([]byte, []int) {
	return file_proto_service1_proto_rawDescGZIP(), []int{0}
}

type CollectPostsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Success bool `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
}

func (x *CollectPostsResponse) Reset() {
	*x = CollectPostsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_service1_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CollectPostsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CollectPostsResponse) ProtoMessage() {}

func (x *CollectPostsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_service1_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CollectPostsResponse.ProtoReflect.Descriptor instead.
func (*CollectPostsResponse) Descriptor() ([]byte, []int) {
	return file_proto_service1_proto_rawDescGZIP(), []int{1}
}

func (x *CollectPostsResponse) GetSuccess() bool {
	if x != nil {
		return x.Success
	}
	return false
}

var File_proto_service1_proto protoreflect.FileDescriptor

var file_proto_service1_proto_rawDesc = []byte{
	0x0a, 0x14, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x31,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x15, 0x0a,
	0x13, 0x43, 0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x50, 0x6f, 0x73, 0x74, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x22, 0x30, 0x0a, 0x14, 0x43, 0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x50,
	0x6f, 0x73, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x18, 0x0a, 0x07,
	0x73, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x73,
	0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x32, 0x56, 0x0a, 0x09, 0x43, 0x6f, 0x6c, 0x6c, 0x65, 0x63,
	0x74, 0x6f, 0x72, 0x12, 0x49, 0x0a, 0x0c, 0x43, 0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x50, 0x6f,
	0x73, 0x74, 0x73, 0x12, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f, 0x6c, 0x6c,
	0x65, 0x63, 0x74, 0x50, 0x6f, 0x73, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x50,
	0x6f, 0x73, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x10,
	0x5a, 0x0e, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x31, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_service1_proto_rawDescOnce sync.Once
	file_proto_service1_proto_rawDescData = file_proto_service1_proto_rawDesc
)

func file_proto_service1_proto_rawDescGZIP() []byte {
	file_proto_service1_proto_rawDescOnce.Do(func() {
		file_proto_service1_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_service1_proto_rawDescData)
	})
	return file_proto_service1_proto_rawDescData
}

var file_proto_service1_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_proto_service1_proto_goTypes = []interface{}{
	(*CollectPostsRequest)(nil),  // 0: proto.CollectPostsRequest
	(*CollectPostsResponse)(nil), // 1: proto.CollectPostsResponse
}
var file_proto_service1_proto_depIdxs = []int32{
	0, // 0: proto.Collector.CollectPosts:input_type -> proto.CollectPostsRequest
	1, // 1: proto.Collector.CollectPosts:output_type -> proto.CollectPostsResponse
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_proto_service1_proto_init() }
func file_proto_service1_proto_init() {
	if File_proto_service1_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_service1_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CollectPostsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_service1_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CollectPostsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_service1_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_service1_proto_goTypes,
		DependencyIndexes: file_proto_service1_proto_depIdxs,
		MessageInfos:      file_proto_service1_proto_msgTypes,
	}.Build()
	File_proto_service1_proto = out.File
	file_proto_service1_proto_rawDesc = nil
	file_proto_service1_proto_goTypes = nil
	file_proto_service1_proto_depIdxs = nil
}
